Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Trying to update to the most recent version of Lightroom 5

New Here ,
May 13, 2021 May 13, 2021

Copy link to clipboard

Copied

Hi, I've had Lightroom 5 for a long time and have just formatted my HDD. I reinstalled Lightroom 5 without a problem. I check for updates and it says new update available to version 5.7. When I click on Download it comes up with This Site Can't be Reached. Is there any known problems. I am running 64 bit Windows 10 on my desktop computer and it's using Google Chrome. 

{Moved from Lightroom Cloud to Lightroom Classic Forum by Moderator} 

TOPICS
Problem or error

Views

174

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 2 Correct answers

LEGEND , May 13, 2021 May 13, 2021
Go to https://prodesigntools.com/lightroom-5-ddl-comparison-vs-lr4.html and download from there (it will be version Lightroom 5.7.1)

Likes

Translate

Translate
Adobe Community Professional , May 13, 2021 May 13, 2021
Adobe will NOT provide any updates for Lightroom 5 because they do not support that version anymore in any way. You will have to get your updates from a third party source such as the one provided.

Likes

Translate

Translate
LEGEND ,
May 13, 2021 May 13, 2021

Copy link to clipboard

Copied

Go to

 

https://prodesigntools.com/lightroom-5-ddl-comparison-vs-lr4.html

 

and download from there (it will be version Lightroom 5.7.1)

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
May 13, 2021 May 13, 2021

Copy link to clipboard

Copied

LATEST

Adobe will NOT provide any updates for Lightroom 5 because they do not support that version anymore in any way. You will have to get your updates from a third party source such as the one provided.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines